import React from 'react'
import { useDrag } from 'react-dnd'

import MkIcon from '@/components/mk-icon'
import './index.scss'

const SourceElement = ({content}) => {
  const [, drag] = useDrag({ item: content })
  return (
    <div ref={drag} className="print-source-item">
      {content.label}
      <MkIcon type={content.icon} />
    </div>
  )
}
export default SourceElement